%define upstream_name    Math-Vector-Real-kdTree
%define upstream_version 0.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Kd-Tree implementation on top of Math::Vector::Real
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Math::Vector::Real) >= 0.60.0
BuildRequires: perl(Sort::Key::Top) >= 0.60.0
BuildArch:  noarch

%description
This module implements a kd-Tree data structure in Perl and some related
algorithms.

The following methods are provided:

* $t = Math::Vector::Real::kdTree->new(@points)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README sample
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 369685
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.60.0-1.mga3
+ Revision: 315124
- update to 0.06

* Wed Sep 26 2012 jquelin <jquelin> 0.50.0-1.mga3
+ Revision: 298029
- update to 0.05

* Wed Jul 04 2012 jquelin <jquelin> 0.40.0-1.mga3
+ Revision: 267389
- update to 0.04

* Thu Jun 30 2011 jquelin <jquelin> 0.30.0-1.mga2
+ Revision: 116544
- imported package perl-Math-Vector-Real-kdTree

